package initialize

import (
	"context"
	"gitea.pena/SQuiz/common/dal"
	"gitea.pena/SQuiz/core/internal/clients/auth"
)

type Clients struct {
	AuthClient *auth.AuthClient
	//TgClient   *telegram.TelegramClient
}

func NewClients(ctx context.Context, cfg Config, pgDAL *dal.DAL) (*Clients, error) {
	//tgClient, err := telegram.NewTelegramClient(ctx, pgDAL)
	//if err != nil {
	//	return nil, err
	//}

	return &Clients{
		//TgClient:   tgClient,
		AuthClient: auth.NewAuthClient(cfg.AuthMicroserviceURL),
	}, nil
}
